| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::DisplayListBuilder Class Referencefinal

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::DisplayListBuilder:

## Public Member Functions
| DisplayListBuilder (const ImpellerRect *cull_rect=nullptr)
DisplayList | Build ()
DisplayListBuilder & | ClipOval (const ImpellerRect &oval_bounds, ImpellerClipOperation op)
DisplayListBuilder & | ClipPath (const Path &path, ImpellerClipOperation op)
DisplayListBuilder & | ClipRect (const ImpellerRect &rect, ImpellerClipOperation op)
DisplayListBuilder & | ClipRoundedRect (const ImpellerRect &rect, const ImpellerRoundingRadii &radii, ImpellerClipOperation op)
DisplayListBuilder & | DrawDashedLine (const ImpellerPoint &from, const ImpellerPoint &to, float on_length, float off_length, const Paint &paint)
DisplayListBuilder & | DrawDisplayList (const DisplayList &display_list, float opacity=1.0f)
DisplayListBuilder & | DrawLine (const ImpellerPoint &from, const ImpellerPoint &to, const Paint &paint)
DisplayListBuilder & | DrawOval (const ImpellerRect &oval_bounds, const Paint &paint)
DisplayListBuilder & | DrawPaint (const Paint &paint)
DisplayListBuilder & | DrawParagraph (const Paragraph &paragraph, const ImpellerPoint &point)
DisplayListBuilder & | DrawShadow (const Path &path, const ImpellerColor &shadow_color, float elevation, bool occluder_is_transparent, float device_pixel_ratio)
DisplayListBuilder & | DrawPath (const Path &path, const Paint &paint)
DisplayListBuilder & | DrawRect (const ImpellerRect &rect, const Paint &paint)
DisplayListBuilder & | DrawRoundedRect (const ImpellerRect &rect, const ImpellerRoundingRadii &radii, const Paint &paint)
DisplayListBuilder & | DrawRoundedRectDifference (const ImpellerRect &outer_rect, const ImpellerRoundingRadii &outer_radii, const ImpellerRect &inner_rect, const ImpellerRoundingRadii &inner_radii, const Paint &paint)
DisplayListBuilder & | DrawTexture (const Texture &texture, const ImpellerPoint &point, ImpellerTextureSampling sampling, const Paint &paint)
DisplayListBuilder & | DrawTextureRect (const Texture &texture, const ImpellerRect &src_rect, const ImpellerRect &dst_rect, ImpellerTextureSampling sampling, const Paint &paint)
uint32_t | GetSaveCount ()
ImpellerMatrix | GetTransform ()
DisplayListBuilder & | ResetTransform ()
DisplayListBuilder & | Restore ()
DisplayListBuilder & | RestoreToCount (uint32_t count)
DisplayListBuilder & | Rotate (float angle_degrees)
DisplayListBuilder & | Save ()
DisplayListBuilder & | SaveLayer (const ImpellerRect &bounds, const Paint *paint=nullptr, const ImageFilter *backdrop=nullptr)
DisplayListBuilder & | Scale (float x_scale, float y_scale)
DisplayListBuilder & | SetTransform (const ImpellerMatrix &transform)
DisplayListBuilder & | Transform (const ImpellerMatrix &transform)
DisplayListBuilder & | Translate (float x_translation, float y_translation)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >
| Object ()=default
| Object (ImpellerDisplayListBuilder object)
| Object (ImpellerDisplayListBuilder object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerDisplayListBuilder | Get () const
| operator bool () const

## Detailed Description

See also
  ImpellerDisplayListBuilder

Definition at line 1423 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ DisplayListBuilder()

IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DisplayListBuilder | ( | const ImpellerRect * | cull_rect = `nullptr` | ) |
| inline explicit

See also
  ImpellerDisplayListBuilderNew

Definition at line 1430 of file impeller.hpp.

1431 : Object(gGlobalProcTable.ImpellerDisplayListBuilderNew(cull_rect),
1432 AdoptTag::kAdopt) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Object
Object()=default
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::kAdopt.

## Member Function Documentation

## ◆ Build()

DisplayList IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Build | ( |  | ) |
| inline

See also
  ImpellerDisplayListBuilderCreateDisplayListNew

Definition at line 1437 of file impeller.hpp.

1437 {
1438 return DisplayList(
1439 gGlobalProcTable.ImpellerDisplayListBuilderCreateDisplayListNew(Get()),
1440 AdoptTag::kAdopt);
1441 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get
ImpellerDisplayListBuilder Get() const
Definition: impeller.hpp:269

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ ClipOval()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ClipOval | ( | const ImpellerRect & | oval_bounds,
|  | ImpellerClipOperation | op
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderClipOval

Definition at line 1446 of file impeller.hpp.

1447 {
1448 gGlobalProcTable.ImpellerDisplayListBuilderClipOval(Get(), //
1449 &oval_bounds, //
1450 op);
1451 return *this;
1452 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ ClipPath()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ClipPath | ( | const Path & | path,
|  | ImpellerClipOperation | op
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderClipPath

Definition at line 1457 of file impeller.hpp.

1457 {
1458 gGlobalProcTable.ImpellerDisplayListBuilderClipPath(Get(), //
1459 path.Get(), //
1460 op);
1461 return *this;
1462 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ ClipRect()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ClipRect | ( | const ImpellerRect & | rect,
|  | ImpellerClipOperation | op
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderClipRect

Definition at line 1467 of file impeller.hpp.

1468 {
1469 gGlobalProcTable.ImpellerDisplayListBuilderClipRect(Get(), //
1470 &rect, //
1471 op);
1472 return *this;
1473 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ ClipRoundedRect()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ClipRoundedRect | ( | const ImpellerRect & | rect,
|  | const ImpellerRoundingRadii & | radii,
|  | ImpellerClipOperation | op
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderClipRoundedRect

Definition at line 1478 of file impeller.hpp.

1480 {
1481 gGlobalProcTable.ImpellerDisplayListBuilderClipRoundedRect(Get(), //
1482 &rect, //
1483 &radii, //
1484 op //
1485 );
1486 return *this;
1487 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawDashedLine()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawDashedLine | ( | const ImpellerPoint & | from,
|  | const ImpellerPoint & | to,
|  | float | on_length,
|  | float | off_length,
|  | const Paint & | paint
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawDashedLine

Definition at line 1492 of file impeller.hpp.

1496 {
1497 gGlobalProcTable.ImpellerDisplayListBuilderDrawDashedLine(Get(), //
1498 &from, //
1499 &to, //
1500 on_length, //
1501 off_length, //
1502 paint.Get());
1503 return *this;
1504 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawDisplayList()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawDisplayList | ( | const DisplayList & | display_list,
|  | float | opacity = `1.0f`
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawDisplayList

Definition at line 1509 of file impeller.hpp.

1510 {
1511 gGlobalProcTable.ImpellerDisplayListBuilderDrawDisplayList(
1512 Get(), display_list.Get(), opacity);
1513 return *this;
1514 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawLine()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawLine | ( | const ImpellerPoint & | from,
|  | const ImpellerPoint & | to,
|  | const Paint & | paint
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawLine

Definition at line 1519 of file impeller.hpp.

1521 {
1522 gGlobalProcTable.ImpellerDisplayListBuilderDrawLine(Get(), //
1523 &from, //
1524 &to, //
1525 paint.Get() //
1526 );
1527 return *this;
1528 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawOval()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawOval | ( | const ImpellerRect & | oval_bounds,
|  | const Paint & | paint
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawOval

Definition at line 1533 of file impeller.hpp.

1534 {
1535 gGlobalProcTable.ImpellerDisplayListBuilderDrawOval(Get(), //
1536 &oval_bounds, //
1537 paint.Get() //
1538 );
1539 return *this;
1540 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawPaint()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawPaint | ( | const Paint & | paint | ) |
| inline

See also
  ImpellerDisplayListBuilderDrawPaint

Definition at line 1545 of file impeller.hpp.

1545 {
1546 gGlobalProcTable.ImpellerDisplayListBuilderDrawPaint(Get(), paint.Get());
1547 return *this;
1548 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawParagraph()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawParagraph | ( | const Paragraph & | paragraph,
|  | const ImpellerPoint & | point
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawParagraph

Definition at line 1553 of file impeller.hpp.

1554 {
1555 gGlobalProcTable.ImpellerDisplayListBuilderDrawParagraph(
1556 Get(), paragraph.Get(), &point);
1557 return *this;
1558 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawPath()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawPath | ( | const Path & | path,
|  | const Paint & | paint
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawPath

Definition at line 1577 of file impeller.hpp.

1577 {
1578 gGlobalProcTable.ImpellerDisplayListBuilderDrawPath(Get(), path.Get(),
1579 paint.Get());
1580 return *this;
1581 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawRect()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawRect | ( | const ImpellerRect & | rect,
|  | const Paint & | paint
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawRect

Definition at line 1586 of file impeller.hpp.

1586 {
1587 gGlobalProcTable.ImpellerDisplayListBuilderDrawRect(Get(), &rect,
1588 paint.Get());
1589 return *this;
1590 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawRoundedRect()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawRoundedRect | ( | const ImpellerRect & | rect,
|  | const ImpellerRoundingRadii & | radii,
|  | const Paint & | paint
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawRoundedRect

Definition at line 1595 of file impeller.hpp.

1597 {
1598 gGlobalProcTable.ImpellerDisplayListBuilderDrawRoundedRect(Get(), //
1599 &rect, //
1600 &radii, //
1601 paint.Get());
1602 return *this;
1603 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawRoundedRectDifference()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawRoundedRectDifference | ( | const ImpellerRect & | outer_rect,
|  | const ImpellerRoundingRadii & | outer_radii,
|  | const ImpellerRect & | inner_rect,
|  | const ImpellerRoundingRadii & | inner_radii,
|  | const Paint & | paint
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawRoundedRectDifference

Definition at line 1608 of file impeller.hpp.

1613 {
1614 gGlobalProcTable.ImpellerDisplayListBuilderDrawRoundedRectDifference(
1615 Get(), //
1616 &outer_rect, //
1617 &outer_radii, //
1618 &inner_rect, //
1619 &inner_radii, //
1620 paint.Get());
1621 return *this;
1622 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawShadow()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawShadow | ( | const Path & | path,
|  | const ImpellerColor & | shadow_color,
|  | float | elevation,
|  | bool | occluder_is_transparent,
|  | float | device_pixel_ratio
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawShadow

Definition at line 1563 of file impeller.hpp.

1567 {
1568 gGlobalProcTable.ImpellerDisplayListBuilderDrawShadow(
1569 Get(), path.Get(), &shadow_color, elevation, occluder_is_transparent,
1570 device_pixel_ratio);
1571 return *this;
1572 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawTexture()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawTexture | ( | const Texture & | texture,
|  | const ImpellerPoint & | point,
|  | ImpellerTextureSampling | sampling,
|  | const Paint & | paint
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawTexture

Definition at line 1627 of file impeller.hpp.

1630 {
1631 gGlobalProcTable.ImpellerDisplayListBuilderDrawTexture(
1632 Get(), texture.Get(), &point, sampling, paint.Get());
1633 return *this;
1634 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ DrawTextureRect()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::DrawTextureRect | ( | const Texture & | texture,
|  | const ImpellerRect & | src_rect,
|  | const ImpellerRect & | dst_rect,
|  | ImpellerTextureSampling | sampling,
|  | const Paint & | paint
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderDrawTextureRect

Definition at line 1639 of file impeller.hpp.

1643 {
1644 gGlobalProcTable.ImpellerDisplayListBuilderDrawTextureRect(
1645 Get(), texture.Get(), //
1646 &src_rect, //
1647 &dst_rect, //
1648 sampling, //
1649 paint.Get());
1650 return *this;
1651 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetSaveCount()

uint32_t IMPELLER_HPP_NAMESPACE::DisplayListBuilder::GetSaveCount | ( |  | ) |
| inline

See also
  ImpellerDisplayListBuilderGetSaveCount

Definition at line 1656 of file impeller.hpp.

1656 {
1657 return gGlobalProcTable.ImpellerDisplayListBuilderGetSaveCount(Get());
1658 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetTransform()

ImpellerMatrix IMPELLER_HPP_NAMESPACE::DisplayListBuilder::GetTransform | ( |  | ) |
| inline

See also
  ImpellerDisplayListBuilderGetTransform

Definition at line 1663 of file impeller.hpp.

1663 {
1664 ImpellerMatrix result;
1665 gGlobalProcTable.ImpellerDisplayListBuilderGetTransform(Get(), &result);
1666 return result;
1667 }
ImpellerMatrix
Definition: impeller.h:515

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ ResetTransform()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::ResetTransform | ( |  | ) |
| inline

See also
  ImpellerDisplayListBuilderResetTransform

Definition at line 1672 of file impeller.hpp.

1672 {
1673 gGlobalProcTable.ImpellerDisplayListBuilderResetTransform(Get());
1674 return *this;
1675 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ Restore()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Restore | ( |  | ) |
| inline

See also
  ImpellerDisplayListBuilderRestore

Definition at line 1680 of file impeller.hpp.

1680 {
1681 gGlobalProcTable.ImpellerDisplayListBuilderRestore(Get());
1682 return *this;
1683 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ RestoreToCount()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::RestoreToCount | ( | uint32_t | count | ) |
| inline

See also
  ImpellerDisplayListBuilderRestoreToCount

Definition at line 1688 of file impeller.hpp.

1688 {
1689 gGlobalProcTable.ImpellerDisplayListBuilderRestoreToCount(Get(), //
1690 count);
1691 return *this;
1692 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ Rotate()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Rotate | ( | float | angle_degrees | ) |
| inline

See also
  ImpellerDisplayListBuilderRotate

Definition at line 1697 of file impeller.hpp.

1697 {
1698 gGlobalProcTable.ImpellerDisplayListBuilderRotate(Get(), //
1699 angle_degrees);
1700 return *this;
1701 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ Save()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Save | ( |  | ) |
| inline

See also
  ImpellerDisplayListBuilderSave

Definition at line 1706 of file impeller.hpp.

1706 {
1707 gGlobalProcTable.ImpellerDisplayListBuilderSave(Get());
1708 return *this;
1709 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SaveLayer()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::SaveLayer | ( | const ImpellerRect & | bounds,
|  | const Paint * | paint = `nullptr`,
|  | const ImageFilter * | backdrop = `nullptr`
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderSaveLayer

Definition at line 1714 of file impeller.hpp.

1716 {
1717 gGlobalProcTable.ImpellerDisplayListBuilderSaveLayer(
1718 Get(), //
1719 &bounds, //
1720 paint ? paint->Get() : NULL, //
1721 backdrop ? backdrop->Get() : NULL //
1722 );
1723 return *this;
1724 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ Scale()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Scale | ( | float | x_scale,
|  | float | y_scale
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderScale

Definition at line 1729 of file impeller.hpp.

1729 {
1730 gGlobalProcTable.ImpellerDisplayListBuilderScale(Get(), //
1731 x_scale, //
1732 y_scale);
1733 return *this;
1734 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetTransform()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::SetTransform | ( | const ImpellerMatrix & | transform | ) |
| inline

See also
  ImpellerDisplayListBuilderSetTransform

Definition at line 1739 of file impeller.hpp.

1739 {
1740 gGlobalProcTable.ImpellerDisplayListBuilderSetTransform(Get(), &transform);
1741 return *this;
1742 }
transform
Matrix transform
Definition: gaussian_blur_filter_contents.cc:214

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and transform.

## ◆ Transform()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Transform | ( | const ImpellerMatrix & | transform | ) |
| inline

See also
  ImpellerDisplayListBuilderTransform

Definition at line 1747 of file impeller.hpp.

1747 {
1748 gGlobalProcTable.ImpellerDisplayListBuilderTransform(Get(), &transform);
1749 return *this;
1750 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and transform.

## ◆ Translate()

DisplayListBuilder& IMPELLER_HPP_NAMESPACE::DisplayListBuilder::Translate | ( | float | x_translation,
|  | float | y_translation
| ) |  |
| inline

See also
  ImpellerDisplayListBuilderTranslate

Definition at line 1755 of file impeller.hpp.

1755 {
1756 gGlobalProcTable.ImpellerDisplayListBuilderTranslate(Get(), //
1757 x_translation, //
1758 y_translation //
1759 );
1760 return *this;
1761 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerDisplayListBuilder, ImpellerDisplayListBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp